WordPress at a glance
function is not described

Automattic\WooCommerce\Admin

Loader::get_analytics_capability() public WC 1.0

Deprecated from version 2.1.0. It is no longer supported and can be removed in future releases. Use value 'view_woocommerce_reports instead.

Gets WordPress capability required to use analytics features.

{} It's a method of the class: Loader{}

Return

String. Nothing.

Usage

$result = Loader::get_analytics_capability();

Changelog

Deprecated Since 2.1.0 , use value 'view_woocommerce_reports'

Code of Loader::get_analytics_capability() WC 5.3.0

<?php
public static function get_analytics_capability() {
	if ( null === static::$required_capability ) {
		/**
		 * Filters the required capability to use the analytics features.
		 *
		 * @param string $capability WordPress capability.
		 */
		static::$required_capability = apply_filters( 'woocommerce_analytics_menu_capability', 'view_woocommerce_reports' );
	}
	return static::$required_capability;
}